curl --request GET \
--url https://api.questra.ai/pages/{page_id}/navigation-rules \
--header 'Authorization: Bearer <token>' \
--header 'X-Org-Id: <x-org-id>'[
{
"id": "<string>",
"source_page_id": "<string>",
"target_page_id": "<string>",
"order": 1,
"sourcePage": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"survey_id": "<string>",
"name": "<string>",
"locked": false,
"order": 1,
"assign_response_status": "<string>",
"programming_started_at": "2023-11-07T05:31:56Z",
"programming_completed_at": "2023-11-07T05:31:56Z",
"attention_required": {
"reason": "<string>",
"dismissed": false
}
},
"targetPage": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"survey_id": "<string>",
"name": "<string>",
"locked": false,
"order": 1,
"assign_response_status": "<string>",
"programming_started_at": "2023-11-07T05:31:56Z",
"programming_completed_at": "2023-11-07T05:31:56Z",
"attention_required": {
"reason": "<string>",
"dismissed": false
}
},
"condition": "<string>",
"attention_required": {
"reason": "<string>",
"dismissed": false
}
}
]Lists all the navigation rules where the specified page is listed as the source page
curl --request GET \
--url https://api.questra.ai/pages/{page_id}/navigation-rules \
--header 'Authorization: Bearer <token>' \
--header 'X-Org-Id: <x-org-id>'[
{
"id": "<string>",
"source_page_id": "<string>",
"target_page_id": "<string>",
"order": 1,
"sourcePage": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"survey_id": "<string>",
"name": "<string>",
"locked": false,
"order": 1,
"assign_response_status": "<string>",
"programming_started_at": "2023-11-07T05:31:56Z",
"programming_completed_at": "2023-11-07T05:31:56Z",
"attention_required": {
"reason": "<string>",
"dismissed": false
}
},
"targetPage": {
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"survey_id": "<string>",
"name": "<string>",
"locked": false,
"order": 1,
"assign_response_status": "<string>",
"programming_started_at": "2023-11-07T05:31:56Z",
"programming_completed_at": "2023-11-07T05:31:56Z",
"attention_required": {
"reason": "<string>",
"dismissed": false
}
},
"condition": "<string>",
"attention_required": {
"reason": "<string>",
"dismissed": false
}
}
]Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique ID of the page to list navigation rules for
Unique ID of the navigation rule
Unique ID of the page this rule routes traffic from
Unique ID of the page this rule routes traffic to
Order in which this rule should be evaluated to determine which one should be followed (0 is first, 1 is second, etc.)
x >= 0Details of the source page for the rule
Show child attributes
Details of the target page for the rule
Show child attributes
If the condition evaluates to true, this condition should be used and the user should be sent to the target page
Present when the AI flagged this navigation rule as needing human review before export
Show child attributes